"{ Package: 'stx:libview' }"

LibraryDefinition subclass:#stx_libview
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'* Projects *'
!


!stx_libview class methodsFor:'description - contents'!

classNamesAndAttributes
    ^ #(
        "/ <className> or (<className> attributes...)
        ('AlphaMask' #autoload)
        ('BitmapFont' #autoload)
        ('Border' #autoload)
        'Color'
        'ColorPalette'
        'Colormap'
        ('CompoundFont' #autoload)
        'Controller'
        ('ControllerWithMenu' #autoload)
        'Cursor'
        'Depth16Image'
        'Depth1Image'
        'Depth24Image'
        'Depth2Image'
        'Depth32Image'
        'Depth4Image'
        'Depth8Image'
        'DeviceGraphicsContext'
        'DeviceHandle'
        'DeviceWorkstation'
        'DisplayRootView'
        'DisplaySurface'
        ('FixedPalette' #autoload)
        'Font'
        'FontDescription'
        'Form'
        ('GLXWorkstation' #unix)
        ('GraphicsAttributes' #autoload)
        'GraphicsContext'
        'GraphicsDevice'
        'GraphicsMedium'
        'HostGraphicsDevice'
        'Image'
        'ImageMask'
        'ImageReader'
        'KeyboardForwarder'
        'KeyboardMap'
        ('MDIChildView' #autoload)
        'MappedPalette'
        'ModalBox'
        'MonoMappedPalette'
        ('NeXTWorkstation' #autoload)
        'OpenGLConstants'
        'PopUpView'
        'ResourcePack'
        'ShadowView'
        'SimpleView'
        'StandardSystemView'
        'SynchronousWindowSensor'
        'TopView'
        ('TranslucentColor' #autoload)
        'View'
        'ViewStyle'
        ('WinPrinter'   #win32)
        ('WinWorkstation'  #win32)
        'WindowEvent'
        'WindowGroup'
        'WindowSensor'
        'WindowingTransformation'
        ('XWorkstation' #unix)
        'stx_libview'
    )

    "Modified: / 14-09-2006 / 11:04:02 / cg"
!

extensionMethodNames
    ^ #(
    )
! !

!stx_libview class methodsFor:'description - files'!

protectedFileNames
    "do NOT overwrite the hand-written Make.proto"

    ^ #( 'Make.proto' )

    "Created: / 14-09-2006 / 14:39:33 / cg"
    "Modified: / 14-09-2006 / 16:15:22 / cg"
! !

!stx_libview class methodsFor:'description - project information'!

companyName
    "Return a companyname which will appear in <lib>.rc"

    ^ 'eXept Software AG'
!

description
    "Return a description string which will appear in nt.def / bc.def"

    ^ 'Smalltalk/X Low Level Graphic Interfacing'

    "Modified: / 14-09-2006 / 10:54:54 / cg"
!

legalCopyright
    "Return a copyright string which will appear in <lib>.rc"

    ^ 'Copyright Claus Gittinger 1988-2006\nCopyright eXept Software AG 1998-2006'
!

productName
    "Return a product name which will appear in <lib>.rc"

    ^ 'Smalltalk/X'
! !

!stx_libview class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libview/stx_libview.st,v 1.5 2006-09-14 14:21:22 cg Exp $'
! !
